---
updatedAt: 2026-08-23T19:54:22.000Z
agentTools:
  projectIndex: https://developers.intandem.tech/llms.txt
---

# Payment matched

## Payment matched subscribe example:

```curl
curl --location --request POST '/platform/v1/webhook/subscribe' \
--header 'Authorization: "Bearer API_TOKEN"'\
--header 'Content-Type: application/json' \
--data-raw '{
"event": "payment/matched",
"target_url": "URL"
}'
```

## Payment matched response example:

```json
{
  "entity_name": "payment",
  "event_type": "matched",
  "data": {
    "payment_id": "i80jmue5khmm89mt",
    "business_id": "s36f9j76o95dclwn",
    "conversation_id": "9og26xm7z6vi9hsj",
    "state": "paid",
    "title": "INVOICE #0000011",
    "note": null,
    "amount": 333,
    "currency": "USD",
    "charge_at": "2022-02-06T12:01:35.000Z",
    "refunded_at": null,
    "payment_method": "Bank Transfer",
    "other_payment_method": null,
    "reference": null,
    "offline": true,
    "pay_key": null,
    "payment_request_id": "swv4y4ecobe9s204",
    "payment_requests": [
      {
        "type": "Invoice",
        "id": "zup98lxfmm1aagtk"
      }
    ],
    "client_id": "pnm372tuy83p24f0",
    "created_at": "2022-02-06T12:01:51.000Z"
  }
}
```

**Note:** `amount` is a **number** when the value is a whole amount (e.g. `35`) and a **string** when it has a decimal part (e.g. `"35.84"`). Coerce it before doing arithmetic on it.